zenilib: zenilib/jni/external/sdl/src/libm/e_rem_pio2.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions | Variables
e_rem_pio2.c File Reference
`#include "math_libm.h"`
`#include "math_private.h"`

Go to the source code of this file.

## Functions

| for (i=0;i< 2;i++)
| GET_HIGH_WORD (hx, x)
| GET_LOW_WORD (low, x)
| if (ix<=0x3fe921fb)
| if (ix< 0x4002d97c)
| if (ix >=0x7ff00000)
| SET_HIGH_WORD (z, ix-((int32_t)(e0<< 20)))
| SET_LOW_WORD (z, low)

## Variables

int32_t | e0 = (ix >> 20) - 1046
static double | half = 5.00000000000000000000e-01
int32_t | hx
int32_t | i
static double | invpio2 = 6.36619772367581382433e-01
int32_t | ix = hx & 0x7fffffff
int32_t | j
u_int32_t | low
int32_t | n = __kernel_rem_pio2(tx, y, e0, nx, 2, two_over_pi)
static int32_t | npio2_hw []
int32_t | nx = 3
static double | pio2_1 = 1.57079632673412561417e+00
static double | pio2_1t = 6.07710050650619224932e-11
static double | pio2_2 = 6.07710050630396597660e-11
static double | pio2_2t = 2.02226624879595063154e-21
static double | pio2_3 = 2.02226624871116645580e-21
static double | pio2_3t = 8.47842766036889956997e-32
static double | two24 = 1.67772160000000000000e+07
static int32_t | two_over_pi []
double | tx [3]
int32_t attribute_hidden double | x
int32_t attribute_hidden double | y []
static double | zero = 0.00000000000000000000e+00

## Function Documentation

for | ( |  | ) |

Definition at line 186 of file e_rem_pio2.c.

References i, and two24.

GET_HIGH_WORD | ( | hx | ,
|  | x |
| ) |  |

GET_LOW_WORD | ( | low | ,
|  | x |
| ) |  |

Referenced by atan().

if | ( | ix<= | 0x3fe921fb | ) |

Definition at line 105 of file e_rem_pio2.c.

if | ( |  | ) |

Definition at line 110 of file e_rem_pio2.c.

References pio2_1, pio2_1t, pio2_2, and pio2_2t.

if | ( | ix >= | 0x7ff00000 | ) |

Definition at line 177 of file e_rem_pio2.c.

SET_HIGH_WORD | ( | z | ,
|  | ix- | (int32_t)(e0<< 20)
| ) |  |

SET_LOW_WORD | ( | z | ,
|  | low |
| ) |  |

Referenced by __ieee754_pow().

## Variable Documentation

e0 = (ix >> 20) - 1046

Definition at line 100 of file e_rem_pio2.c.

Referenced by Bezier_Up().

double half = 5.00000000000000000000e-01

static

Definition at line 79 of file e_rem_pio2.c.

Referenced by FT_Vector_Rotate().

int32_t hx

Definition at line 100 of file e_rem_pio2.c.

int32_t i

Definition at line 100 of file e_rem_pio2.c.

double invpio2 = 6.36619772367581382433e-01

static

Definition at line 81 of file e_rem_pio2.c.

ix = hx & 0x7fffffff

Definition at line 100 of file e_rem_pio2.c.

Referenced by __ieee754_atan2(), __ieee754_pow(), atan(), cos(), SDLTest_DrawCharacter(), sin(), todB(), and unitnorm().

int32_t j

Definition at line 100 of file e_rem_pio2.c.

u_int32_t low

Definition at line 101 of file e_rem_pio2.c.

Referenced by atan(), get_setup_template(), getRandom(), inflate_table(), InsertUIntMapEntry(), LookupUIntMapKey(), and RemoveUIntMapKey().

return n = __kernel_rem_pio2(tx, y, e0, nx, 2, two_over_pi)

Definition at line 100 of file e_rem_pio2.c.

int32_t npio2_hw[]

static

Initial value:
= {
0x3FF921FB, 0x400921FB, 0x4012D97C, 0x401921FB, 0x401F6A7A, 0x4022D97C,
0x4025FDBB, 0x402921FB, 0x402C463A, 0x402F6A7A, 0x4031475C, 0x4032D97C,
0x40346B9C, 0x4035FDBB, 0x40378FDB, 0x403921FB, 0x403AB41B, 0x403C463A,
0x403DD85A, 0x403F6A7A, 0x40407E4C, 0x4041475C, 0x4042106C, 0x4042D97C,
0x4043A28C, 0x40446B9C, 0x404534AC, 0x4045FDBB, 0x4046C6CB, 0x40478FDB,
0x404858EB, 0x404921FB,
}

Definition at line 53 of file e_rem_pio2.c.

nx = 3

Definition at line 100 of file e_rem_pio2.c.

double pio2_1 = 1.57079632673412561417e+00

static

Definition at line 82 of file e_rem_pio2.c.

Referenced by if().

double pio2_1t = 6.07710050650619224932e-11

static

Definition at line 83 of file e_rem_pio2.c.

Referenced by if().

double pio2_2 = 6.07710050630396597660e-11

static

Definition at line 84 of file e_rem_pio2.c.

Referenced by if().

double pio2_2t = 2.02226624879595063154e-21

static

Definition at line 85 of file e_rem_pio2.c.

Referenced by if().

double pio2_3 = 2.02226624871116645580e-21

static

Definition at line 86 of file e_rem_pio2.c.

double pio2_3t = 8.47842766036889956997e-32

static

Definition at line 87 of file e_rem_pio2.c.

double two24 = 1.67772160000000000000e+07

static

Definition at line 80 of file e_rem_pio2.c.

Referenced by for().

int32_t two_over_pi[]

static

Initial value:
= {
0xA2F983, 0x6E4E44, 0x1529FC, 0x2757D1, 0xF534DD, 0xC0DB62,
0x95993C, 0x439041, 0xFE5163, 0xABDEBB, 0xC561B7, 0x246E3A,
0x424DD2, 0xE00649, 0x2EEA09, 0xD1921C, 0xFE1DEB, 0x1CB129,
0xA73EE8, 0x8235F5, 0x2EBB44, 0x84E99C, 0x7026B4, 0x5F7E41,
0x3991D6, 0x398353, 0x39F49C, 0x845F8B, 0xBDF928, 0x3B1FF8,
0x97FFDE, 0x05980F, 0xEF2F11, 0x8B5A0A, 0x6D1F6D, 0x367ECF,
0x27CB09, 0xB74F46, 0x3F669E, 0x5FEA2D, 0x7527BA, 0xC7EBE5,
0xF17B3D, 0x0739F7, 0x8A5292, 0xEA6BFB, 0x5FB11F, 0x8D5D08,
0x560330, 0x46FC7B, 0x6BABF0, 0xCFBC20, 0x9AF436, 0x1DA9E3,
0x91615E, 0xE61B08, 0x659985, 0x5F14A0, 0x68408D, 0xFFD880,
0x4D7327, 0x310606, 0x1556CA, 0x73A8C9, 0x60E27B, 0xC08C6B,
}

Definition at line 35 of file e_rem_pio2.c.

tx[2]

Initial value:
{
double z = 0.0, w, t, r, fn
t
GLdouble GLdouble t
Definition: glew.h:1384
r
GLdouble GLdouble GLdouble r
Definition: glew.h:1392
z
GLint GLint GLint GLint z
Definition: gl2ext.h:1214
w
GLint GLint GLint GLint GLint w
Definition: gl2ext.h:1215

Definition at line 97 of file e_rem_pio2.c.

int32_t attribute_hidden double x

Definition at line 95 of file e_rem_pio2.c.

int32_t attribute_hidden double y[]

Definition at line 95 of file e_rem_pio2.c.

double zero = 0.00000000000000000000e+00

static

Definition at line 78 of file e_rem_pio2.c.